1.2102 Plugin bug

If you think you've found a bug post it here.

1.2102 Plugin bug

Postby spumco » Thu Feb 01, 2018 4:42 am

I installed 1.2102 and new plugins appear, but other plugins in the folder don't appear in the plugin configuration window. Any plugins not in the installation package simply don't show up - my VistaCNC pendant plugin and the XBox360 plugin are missing.

Happens with both the standard and 2017 screenset.

Reverted back to 1.2101 and plugins are back and available for selection.
spumco
 
Posts: 211
Joined: Mon Oct 03, 2016 10:10 pm

Re: 1.2102 Plugin bug

Postby cncdrive » Thu Feb 01, 2018 8:02 am

Version 1.2102 was upgraded to support the .NET framework 4.0 from the Framework 2.0 to support newer libraries,
however the 4.0 framework targeted assemblies are backwards compatible to load the 2.0 targeted assemblies.
Plugin developers if they want to continoue their plugins development must re-target their Visual Studio project to .NET 4.0, but their current plugins should also still work with the UCCNC.

But again, the .NET 4.0 is 2.0 backwards compatible, so I don't know why it does not loads those plugins at you.
Can you upload any of the plugins here? Then I will try to debug to see why they do not load or if they load on my computer.
I'm not sure I will know why they does not load, but will check if there is any exceptions generated and so maybe I can figure out what the issue is.
cncdrive
Site Admin
 
Posts: 2253
Joined: Tue Aug 12, 2014 11:17 pm

Re: 1.2102 Plugin bug

Postby mphel » Thu Feb 01, 2018 8:12 am

I have the same issue, neither of Dans HY or wizard plugins show in the list.
I have tried a fresh install on three separate computers with default and 2017 screensets, I have also reverted back and everything works fine again.
Mark
mphel
 
Posts: 28
Joined: Sat Sep 03, 2016 8:47 pm
Location: Upton-upon-Severn uk

Re: 1.2102 Plugin bug

Postby spumco » Thu Feb 01, 2018 11:11 am

Plugins that don't show up are attached.
Attachments
Xboxcontroller.dll
(154.5 KiB) Downloaded 64 times
P4Spendant.dll
(50.5 KiB) Downloaded 79 times
spumco
 
Posts: 211
Joined: Mon Oct 03, 2016 10:10 pm

Re: 1.2102 Plugin bug

Postby cncdrive » Thu Feb 01, 2018 11:33 am

I've checked and they generate a security exception is why they not loading in, because they are in a different appdomain and targeting a different .NET version. (2.0)
I will check if and how can this be resolved. Probably defining some security rules will solve it ... will see.
cncdrive
Site Admin
 
Posts: 2253
Joined: Tue Aug 12, 2014 11:17 pm

Re: 1.2102 Plugin bug

Postby dezsoe » Thu Feb 01, 2018 11:48 am

Interesting. P4SPendant works in 2101 and 2047. Xboxcontroller didn't show up in 2047, 2101 and 2102.
dezsoe
 
Posts: 533
Joined: Sun Mar 12, 2017 4:41 pm
Location: Csörög, Hungary

Re: 1.2102 Plugin bug

Postby cncdrive » Thu Feb 01, 2018 12:34 pm

Dezsoe,

Xboxcontroller probably not showing up in any versions at you, because it has some prerequirements, if I recall some DirectX libraries. So you have to install those first.
cncdrive
Site Admin
 
Posts: 2253
Joined: Tue Aug 12, 2014 11:17 pm

Re: 1.2102 Plugin bug

Postby dezsoe » Thu Feb 01, 2018 2:38 pm

:) OK, thanks.
dezsoe
 
Posts: 533
Joined: Sun Mar 12, 2017 4:41 pm
Location: Csörög, Hungary

Re: 1.2102 Plugin bug

Postby Dan911 » Fri Feb 02, 2018 4:25 am

cncdrive wrote:I've checked and they generate a security exception is why they not loading in, because they are in a different appdomain and targeting a different .NET version. (2.0)
I will check if and how can this be resolved. Probably defining some security rules will solve it ... will see.


Of course it's using net 2.0, it was a requirement to create a plugin for UCCNC.

Not a big deal to update plugins, but if also using static variables in different appdomain is causing conflict I don't see how it's backward compatible.
Dan911
 
Posts: 416
Joined: Mon Oct 31, 2016 1:22 am
Location: USA

Re: 1.2102 Plugin bug

Postby cncdrive » Fri Feb 02, 2018 7:23 am

Hi Dan,

.NET 4.0 is just more paranoid about security which I forgot about. :)
It's backwards compatible because it can load and run .NET 2.0 dll's, it just don't want to load it in this case, because of the different app domain and different framework version, but it is able to do that if it wants to.
Meanwhile I've made some tests and defining some security policy settings in the UCCNC config file will fix this problem, it will make .NET 4.0 to load these plugins without throwing security exception.
cncdrive
Site Admin
 
Posts: 2253
Joined: Tue Aug 12, 2014 11:17 pm

Next

Return to Report a bug

Who is online

Users browsing this forum: No registered users and 8 guests